package cd.casic.ci.commons.commonapi.enums;


import lombok.SneakyThrows;

public enum AgentStatus {
    UN_IMPORT(0),      // 未导入，用户刚刚在界面上面生成链接
    UN_IMPORT_OK(1),   // 未导入但是agent状态正常（这个时候还是不能用来当构建机）
    IMPORT_OK(2),      // 用户已经在界面导入并且agent工作正常（构建机只有在这个状态才能正常工作）
    IMPORT_EXCEPTION(3), // agent异常
    DELETE(4);

    private final int status;

    AgentStatus(int status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return String.valueOf(status);
    }

    @SneakyThrows
    public static AgentStatus fromStatus(int status) {
        for (AgentStatus value : values()) {
            if (status == value.status) {
                return value;
            }
        }
        throw new Exception("Unknown agent status(" + status + ")");
//        throw new InvalidParamException("Unknown agent status(" + status + ")");
    }

    public static boolean isDelete(AgentStatus status) {
        return status == DELETE;
    }

    public static boolean isUnImport(AgentStatus status) {
        return status == UN_IMPORT;
    }

    public static boolean isImportException(AgentStatus status) {
        return status == IMPORT_EXCEPTION;
    }

    @SneakyThrows
    public static AgentStatus fromString(String status) {
        for (AgentStatus value : values()) {
            if (status.equals(value.name())) {
                return value;
            }
        }
        throw new Exception("Unknown agent status(" + status + ")");
//        throw new InvalidParamException("Unknown agent status(" + status + ")");
    }
} 