package cd.casic.ci.commons.commonapi.enums;

public enum FrontendTypeEnum {
    HISTORY("1.0"),    // 历史老插件UI
    NORMAL("1.1"),     // 官方提供典型的插件UI配置方式
    SPECIAL("1.2");    // 定制插件UI方式

    private final String typeVersion;

    FrontendTypeEnum(String typeVersion) {
        this.typeVersion = typeVersion;
    }

    public static FrontendTypeEnum getFrontendTypeObj(String typeVersion) {
        for (FrontendTypeEnum enumObj : values()) {
            if (enumObj.typeVersion.equals(typeVersion)) {
                return enumObj;
            }
        }
        return null;
    }

    public String getTypeVersion() {
        return typeVersion;
    }
} 