package cd.casic.ci.commons.commonapi.enums;

public enum PlatformEnum {
    ANDROID(1, "安卓"),
    IOS(2, "IOS");

    private final int id;
    private final String mean;

    PlatformEnum(int id, String mean) {
        this.id = id;
        this.mean = mean;
    }

    public static PlatformEnum of(Integer id) {
        if (id == null) {
            return null;
        }

        for (PlatformEnum value : values()) {
            if (value.id == id) {
                return value;
            }
        }

        return null;
    }

    public int getId() {
        return id;
    }

    public String getMean() {
        return mean;
    }
} 