package cd.casic.ci.commons.commonapi.pojo;

import cd.casic.ci.commons.commonapi.enums.I18nSourceEnum;
import cd.casic.ci.commons.commonapi.enums.I18nTranslateTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.lang.reflect.Field;

@Data
@Schema(title = "国际化字段信息")
public class I18nFieldInfo {
    @Schema(title = "字段")
    private Field field;

    @Schema(title = "字段所属对象")
    private Object entity;

    @Schema(title = "翻译信息来源")
    private I18nSourceEnum source = I18nSourceEnum.PROPERTIES;

    @Schema(title = "翻译类型")
    private I18nTranslateTypeEnum translateType = I18nTranslateTypeEnum.NAME;

    @Schema(title = "字段前缀名称")
    private String keyPrefixName = "";

    @Schema(title = "是否复用接口定义的公共前缀")
    private boolean reusePrefixFlag = true;

    @Schema(title = "字段转换名称")
    private String convertName = "";
} 