package cd.casic.ci.commons.commonapi.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "分页数据包装模型")
public class Page<T> {
    @Schema(title = "总记录行数", required = true)
    private final Long count;

    @Schema(title = "第几页", required = true)
    private final Integer page;

    @Schema(title = "每页多少条", required = true)
    private final Integer pageSize;

    @Schema(title = "总共多少页", required = true)
    private final Integer totalPages;

    @Schema(title = "数据", required = true)
//    @BkFieldI18n
    private final List<T> records;

    public Page(Integer page, Integer pageSize, Long count, List<T> records) {
        this.count = count;
        this.page = page;
        this.pageSize = pageSize;
        this.totalPages = (int) Math.ceil(count.doubleValue() / pageSize);
        this.records = records;
    }
} 