package cd.casic.ci.commons.commonapi.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Set;

@Data
@Schema(title = "状态")
public class SimpleResult {
    @Schema(title = "是否成功", required = true)
    private Boolean success;

    @Schema(title = "错误信息", required = false)
    private String message;

    @Schema(title = "错误码信息", required = false)
    private Error error;

    @Schema(title = "ENV中需要被忽略的调度机器")
    private Set<String> ignoreAgentIds;
}

@Data
@Schema(title = "第三方构建信息模型-错误信息")
class Error {
    private String errorType;
    private String errorMessage;
    private Integer errorCode;
} 