/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 * ...
 */

package cd.casic.ci.commons.commonapi.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

@Schema(title = "Agent属性信息")
public class AgentPropsInfo {
    @Schema(title = "agent运行系统的架构信息")
    private String arch;

    @Schema(title = "jdk版本信息")
    private List<String> jdkVersion;

    @Schema(title = "docker init 文件升级信息")
    private DockerInitFileInfo dockerInitFileInfo;

    public AgentPropsInfo(String arch, List<String> jdkVersion, DockerInitFileInfo dockerInitFileInfo) {
        this.arch = arch;
        this.jdkVersion = jdkVersion;
        this.dockerInitFileInfo = dockerInitFileInfo;
    }

    public String getArch() {
        return arch;
    }

    public void setArch(String arch) {
        this.arch = arch;
    }

    public List<String> getJdkVersion() {
        return jdkVersion;
    }

    public void setJdkVersion(List<String> jdkVersion) {
        this.jdkVersion = jdkVersion;
    }

    public DockerInitFileInfo getDockerInitFileInfo() {
        return dockerInitFileInfo;
    }

    public void setDockerInitFileInfo(DockerInitFileInfo dockerInitFileInfo) {
        this.dockerInitFileInfo = dockerInitFileInfo;
    }
} 